{#
/**
 * @file
 * Theme override for an image field widget.
 *
 * Available variables:
 * - attributes: HTML attributes for the containing element.
 * - data: Render elements of the image widget.
 *
 * @see template_preprocess_image_widget()
 */
#}
{#
This is part of a D8 bug, see: https://www.drupal.org/node/2641380
It is already fixed and will be inclided in Drupal 8.3.x
#}
{{ attach_library('kidneys/image-widget') }}
<div{{ attributes }}>
  {% if data.preview %}
    <div class="image-preview">
      {{ data.preview }}
    </div>
  {% endif %}
  <div class="image-widget-data">
    {# Render widget data without the image preview that was output already. #}
    {{ data|without('preview') }}
  </div>
</div>
